# norootforbuild

%define realversion 1_5_2_r2

Name:		mp3gain
Version:	1.5.2
Release:	2.pm.2.1

Summary:			MP3 Volume Normalizer based on Replay Gain
Source:			http://prdownloads.sourceforge.net/mp3gain/mp3gain-%{realversion}-src.zip
Patch1:			%{name}-makefile-optflags.diff
URL:				http://mp3gain.sourceforge.net/
Group:			Productivity/Multimedia/Sound/Editors and Convertors
License:			GNU Lesser General Public License (LGPL)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	make gcc glibc-devel unzip

%description
MP3Gain analyzes and adjusts mp3 files so that they have the same volume. It
does not just do peak normalization, as many normalizers do. Instead, it does
some statistical analysis to determine how loud the file actually sounds to
the human ear. Also, the changes MP3Gain makes are completely lossless. There
is no quality lost in the change because the program adjusts the mp3 file
directly, without decoding and re-encoding.


%prep
%setup -q -c "%{name}-%{version}"
%patch1

%build
%__make \
	%{?jobs:-j%{jobs}} \
	CC="%__cc" \
	OPTFLAGS="%{optflags}"

%install
%__install -D -m 0755 mp3gain "%{buildroot}%{_bindir}/mp3gain"

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc lgpl.txt
%{_bindir}/mp3gain

%changelog
* Wed Aug 25 2010 Detlef Reichelt <detlef@links2linux.de> - 1.5.2-r2
- new upstream version <1.5.2-r2>

* Tue Aug 03 2010 Detlef Reichelt <detlef@links2linux.de> - 1.5.2
- new upstream version <1.5.2>

* Tue Oct 30 2007 Pascal Bleser <guru@unixtech.be> 1.4.6-0.pm.1
- moved to Packman

* Mon May  8 2006 Pascal Bleser <guru@unixtech.be> 1.4.6-1
- new upstream version
- rewrote spec file

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
